# H235_H235CertificateSignature Class Reference

`#include <h235.h>`

Inheritance diagram for H235_H235CertificateSignature:

List of all members.

## Public Types

enum | OptionalFields { e_requesterRandom }

## Public Member Functions

| H235_H235CertificateSignature (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H235_TypedCertificate | m_certificate
H235_RandomVal | m_responseRandom
H235_RandomVal | m_requesterRandom
H235_SIGNED< H235_EncodedReturnSig > | m_signature

## Member Enumeration Documentation

enum H235_H235CertificateSignature::OptionalFields

Enumerator:

  e_requesterRandom |

## Constructor & Destructor Documentation

H235_H235CertificateSignature::H235_H235CertificateSignature | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_H235CertificateSignature::GetDataLength | ( |  | ) | const

PBoolean H235_H235CertificateSignature::Decode | ( | PASN_Stream & | strm | ) |

void H235_H235CertificateSignature::Encode | ( | PASN_Stream & | strm | ) | const

void H235_H235CertificateSignature::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_H235CertificateSignature::Compare | ( | const PObject & | obj | ) | const

PObject* H235_H235CertificateSignature::Clone | ( |  | ) | const

## Member Data Documentation

H235_TypedCertificate H235_H235CertificateSignature::m_certificate

H235_RandomVal H235_H235CertificateSignature::m_responseRandom

H235_RandomVal H235_H235CertificateSignature::m_requesterRandom

H235_SIGNED<H235_EncodedReturnSig> H235_H235CertificateSignature::m_signature

The documentation for this class was generated from the following file:

- h235.h